Package org.eclipse.lemminx.extensions.xsd.participants

## Enum XSDErrorCode

- java.lang.Object
- - java.lang.Enum<XSDErrorCode>
  - - org.eclipse.lemminx.extensions.xsd.participants.XSDErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<XSDErrorCode>`, `IXMLErrorCode`

    public enum XSDErrorCode
    extends Enum<XSDErrorCode>
    implements IXMLErrorCode

XSD error code.

### Enum Constant Summary

Enum Constants
`cos_all_limited_2`
`ct_props_correct_3`
`EmptyTargetNamespace`
`p_props_correct_2_1`
`s4s_att_invalid_value`
`s4s_att_must_appear`
`s4s_att_not_allowed`
`s4s_elt_character`
`s4s_elt_invalid_content_1`
`s4s_elt_invalid_content_2`
`s4s_elt_invalid_content_3`
`s4s_elt_must_match_1`
`s4s_elt_must_match_2`
`sch_props_correct_2`
`schema_reference_4`
`src_annotation`
`src_ct_1`
`src_element_2_1`
`src_element_3`
`src_import_1_2`
`src_import_3_1`
`src_import_3_2`
`src_resolve`
`src_resolve_4_2`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static XSDErrorCode` `get​(String name)`
`String` `getCode()` Returns the XML error code.
`static void` `registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions)`
`static org.eclipse.lsp4j.Range` `toLSPRange​(org.apache.xerces.xni.XMLLocator location, XSDErrorCode code, Object[] arguments, DOMDocument document)` Create the LSP range from the SAX error.
`static XSDErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XSDErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### cos_all_limited_2

    public static final XSDErrorCode cos_all_limited_2

#### ct_props_correct_3

    public static final XSDErrorCode ct_props_correct_3

#### p_props_correct_2_1

    public static final XSDErrorCode p_props_correct_2_1

#### s4s_elt_invalid_content_1

    public static final XSDErrorCode s4s_elt_invalid_content_1

#### s4s_elt_must_match_1

    public static final XSDErrorCode s4s_elt_must_match_1

#### s4s_elt_must_match_2

    public static final XSDErrorCode s4s_elt_must_match_2

#### s4s_att_must_appear

    public static final XSDErrorCode s4s_att_must_appear

#### s4s_elt_invalid_content_2

    public static final XSDErrorCode s4s_elt_invalid_content_2

#### s4s_att_not_allowed

    public static final XSDErrorCode s4s_att_not_allowed

#### s4s_att_invalid_value

    public static final XSDErrorCode s4s_att_invalid_value

#### s4s_elt_character

    public static final XSDErrorCode s4s_elt_character

#### s4s_elt_invalid_content_3

    public static final XSDErrorCode s4s_elt_invalid_content_3

#### sch_props_correct_2

    public static final XSDErrorCode sch_props_correct_2

#### schema_reference_4

    public static final XSDErrorCode schema_reference_4

#### src_ct_1

    public static final XSDErrorCode src_ct_1

#### src_import_1_2

    public static final XSDErrorCode src_import_1_2

#### src_element_3

    public static final XSDErrorCode src_element_3

#### src_resolve_4_2

    public static final XSDErrorCode src_resolve_4_2

#### src_resolve

    public static final XSDErrorCode src_resolve

#### src_element_2_1

    public static final XSDErrorCode src_element_2_1

#### EmptyTargetNamespace

    public static final XSDErrorCode EmptyTargetNamespace

#### src_import_3_1

    public static final XSDErrorCode src_import_3_1

#### src_import_3_2

    public static final XSDErrorCode src_import_3_2

#### src_annotation

    public static final XSDErrorCode src_annotation

### Method Detail

#### values

    public static XSDErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XSDErrorCode c : XSDErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XSDErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public String getCode()

Description copied from interface: `IXMLErrorCode`
Returns the XML error code.

Specified by:
  `getCode` in interface `IXMLErrorCode`
Returns:
  the XML error code.

#### get

    public static XSDErrorCode get​(String name)

#### toLSPRange

    public static org.eclipse.lsp4j.Range toLSPRange​(org.apache.xerces.xni.XMLLocator location,
                                                     XSDErrorCode code,
                                                     Object[] arguments,
                                                     DOMDocument document)

Create the LSP range from the SAX error.

Parameters:
  `characterOffset` -
  `key` -
  `arguments` -
  `document` -
Returns:
  the LSP range from the SAX error.

#### registerCodeActionParticipants

    public static void registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions)